Page MenuHomePhabricator

Remove beta header, clean up code
Closed, ResolvedPublic2 Estimated Story Points

Description

Experiment is over and results have been posted. Let's remove the beta header and clean up as much as we can.

AC:

  • The header on beta is exactly the same as in stable.
  • The code is clean and beautiful and the experiment hasn't left cruft on the codebase.
  • The removal of the feature is documented on mediawiki.org.

Event Timeline

Jhernandez raised the priority of this task from to High.
Jhernandez updated the task description. (Show Details)
Jhernandez added a subscriber: Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 7:54 PM
Jhernandez set Security to None.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptAug 13 2015, 8:49 PM
Jhernandez updated the task description. (Show Details)Aug 17 2015, 4:27 PM
Jdlrobson edited a custom field.Aug 17 2015, 4:28 PM
phuedx updated the task description. (Show Details)Aug 17 2015, 4:28 PM
phuedx edited a custom field.
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-54-28-Days-Later board.

@Jhernandez, should the header still be present in alpha? If we're not going to use it anymore, it may make sense to remove it from alpha too.

Change 232670 had a related patch set uploaded (by Bmansurov):
Remove the experimental header from alpha and beta

https://gerrit.wikimedia.org/r/232670

Jdlrobson edited a custom field.Aug 21 2015, 1:09 AM
Jdlrobson added a subscriber: Jdlrobson.

phuedx removed Story Points. assuming that was unintended?

Change 232670 merged by jenkins-bot:
Remove the experimental header from alpha and beta

https://gerrit.wikimedia.org/r/232670

Jhernandez closed this task as Resolved.Aug 21 2015, 4:32 PM

Verified on Beta Cluster, found that I had to hard refresh (clear caching) otherwise there was a frankenstein version of the header and menu.

Not sure if this is an issue for prod, thoughts?

This has caused T109904 so moving back to sign off

Jhernandez closed this task as Resolved.Aug 25 2015, 11:12 AM